Einleitung

HP Driver Deployment Utility (DDU) ermöglicht einem Administrator, ein Treiberinstallationspaket für eine automatische Installation ohne Eingabeaufforderungen für Endbenutzer zu erstellen. Dieses Dienstprogramm unterstützt das Hinzufügen von Druckertreibern zum Windows Treiberspeicher und das Erstellen von Einträgen im Druckerordner. Driver Deployment Utility unterstützt Druckertreiber, die für die Verwendung mit dem Druckerinstallations-Assistenten von Microsoft ausgelegt sind. Es gelten sämtliche Microsoft-Zertifizierungsbeschränkungen und Warnhinweise.

Die Benutzeroberfläche ist in drei Abschnitte untergliedert:

  1. Im Abschnitt „Paketquelle“ werden der Pakettyp und der Treiberort beschrieben, den Sie erstellen möchten.
  2. Im Abschnitt „Paketziel“ werden der Name und der Speicherort des Installationspakets angegeben.
  3. Im Abschnitt „Erstellen des Pakets“ wird der Paketerstellungsprozess eingeleitet.


Paketquelle

Treiberverzeichnis

Wählen Sie mit der Schaltfläche „Treiber auswählen“ eine INF-Datei im Treiberverzeichnis aus, indem Sie das Verzeichnis durchsuchen oder den Namen eingeben. In diesem Verzeichnis sollte nur ein Treiberpaket vorhanden sein, da dieses Dienstprogramm alle Dateien in diesem Verzeichnis (und den Unterverzeichnissen) in der Anwendungsdatei zusammenführt. Wenn Sie ein komprimiertes Treiberpaket heruntergeladen haben, müssen Sie es entpacken, bevor Sie dieses Dienstprogramm verwenden können.

In einigen Fällen befinden sich möglicherweise mehrere INF-Treiberdateien in dem Verzeichnis (mitunter eine Datei für Farbdrucker und eine Datei für Monodrucker). In diesem Fall können Sie in einem zusätzlichen Dialogfeld den gewünschten Treiber für das Paket auswählen.

Sie erhalten außerdem eine Warnmeldung, wenn das Verzeichnis zu groß ist. Dadurch soll vermieden werden, dass mehr als ein Treiber dem Paket hinzugefügt wird. Wenn das Verzeichnis alle gewünschten oder erforderlichen Dateien enthält, können Sie den Vorgang an dieser Stelle fortsetzen.

Sobald das Treiberverzeichnis ausgewählt und ein Treiber gefunden wurde, werden das Verzeichnis und die Treiberinformationen angezeigt.

Bei Treibern, die die Vorkonfiguration unterstützen, wird das Kontrollkästchen unten aktiviert. Durch Aktivieren dieses Kontrollkästchens wird nach Auswahl der Schaltfläche „Paket erstellen“ ein Konfigurationsdialogfeld angezeigt.

Typ installieren

„Anfangseinstellungen des Treibers laden“: Diese Option ist bei Verwendung einer direkten Verbindung, wie einem USB-Kabel, zu wählen. Zur Installation des Treibers ist zwar ein künftiger „Plug-and-Play“-Vorgang erforderlich, alle Dateien werden von diesem Paket jedoch im Windows Treiberspeicher zur weiteren Verwendung installiert. HINWEIS: Wenn auf einem Gerät mehrere Treiber vorhanden sind, bestimmt das Betriebssystem automatisch den für den „Plug-and-Play“-Vorgang am besten geeigneten Treiber, oder zeigt dem Benutzer ein Dialogfeld zur Treiberauswahl an.

Die Anwendungsdatei wird standardmäßig mit einem Verlaufdialogfeld ausgeführt. Um das Verlaufdialogfeld auszublenden, führen Sie die Anwendungsdatei mit „/q“ in der Befehlszeile aus. Wenn der Endbenutzer am Ende der Installation zum Anschließen des Druckers aufgefordert werden soll, aktivieren Sie das Kontrollkästchen „Eingabeaufforderung zum Anschließen des Druckers anzeigen“.

Wählen Sie für Drucker mit einer Netzwerkverbindung die Option „Netzwerkanschluss erstellen und Treiber installieren“. Die Schaltfläche „Netzwerkeinstellungen“ wird aktiviert. Klicken Sie auf diese Schaltfläche, um die erforderlichen Netzwerkeinstellungen einzugeben.

Netzwerkeinstellungen

Verwenden Sie eine oder mehrere der folgenden Methoden, um den Netzwerkdrucker zu bestimmen. Dieses Dienstprogramm kommuniziert nicht mit dem Gerät, um festzustellen, ob die Einstellungen gültig sind. Es nimmt jedoch eine Syntaxprüfung vor. (Um das Wiederauffinden des Geräts zu ermöglichen, muss die Hardwareadresse angegeben sein.)

IP-Adresse:

Geben Sie die IPv4- oder IPv6-Adresse des Druckers ein.

Hardwareadresse:

Geben Sie die Hardwareadresse des Druckers ein.

Hostname:

Geben Sie den Hostnamen des Druckers ein.

Die folgenden Netzwerkeinstellungen werden vorgeschlagen. Sie können die Standardwerte akzeptieren oder ändern.

Anschlussname:

Dies ist der Name des Netzwerkanschlusses, der erstellt wird. Wenn der Name bereits vorhanden ist, wird zur Wahrung der Eindeutigkeit eine Zahl angehängt.

Druckername:

Dies ist der Druckername, der im Druckerordner angezeigt wird. Wenn der Name bereits vorhanden ist, wird zur Wahrung der Eindeutigkeit eine Zahl angehängt.

Diesen Drucker als Standarddrucker festlegen:

Ja: Dieser Drucker ist beim Drucken von anderen Anwendungen aus der Standarddrucker.

Nein: Die aktuelle Standardeinstellung wird beibehalten, es sei denn, dies ist der einzige installierte Drucker.

Diesen Drucker freigeben:

Ja: Ermöglicht anderen Benutzern, diesen Drucker zu verwenden.

Freigabename:

Freigabename für den Drucker. Diese Option ist nur aktiviert, wenn die Option „Diesen Drucker freigeben“ auf „Ja“ gesetzt ist. Wenn der Name bereits vorhanden ist, wird zur Wahrung der Eindeutigkeit eine Zahl angehängt.


Paketziel

Wählen Sie die Schaltfläche „Speichern unter…“, um den Namen und den Speicherort des Ausgabepakets anzugeben. Das Dienstprogramm erstellt das Paket im temporären Verzeichnis und verschiebt es dann an den endgültigen Speicherort. Das Paket umfasst 2 Dateien, die zusammen bereitgestellt werden müssen: eine .exe-Datei und eine .cab-Datei.

Eine entsprechende XML-Beschreibungsdatei mit den Paketdetails wird ebenfalls an den endgültigen Speicherort kopiert. Das XML-Paket dient ausschließlich zu Informationszwecken und wird während der Ausführung nicht von DDU verwendet.


Paket erstellen

Wählen Sie die Schaltfläche „Paket erstellen“, wenn Sie alle oben genannten Informationen eingegeben haben. Diese Schaltfläche ist so lange deaktiviert, bis Sie die erforderlichen Informationen eingegeben haben. Sobald sie aktiviert ist, werden die Schaltfläche „Abbrechen“ und die Leiste „Verlauf“ aktiviert.

Um die Paketerstellung anzuhalten, klicken Sie auf die Schaltfläche „Abbrechen“.

Die Anwendungsdatei wird mit einem Verlaufdialogfeld und, falls gewünscht, mit einer Benutzereingabeaufforderung für einen direkten Anschluss des Druckers ausgeführt. Wenn während der Ausführung ein Fehler auftritt, wird ein Fehlerdialogfeld angezeigt. Um das Fehlerdialogfeld zu unterdrücken, aktivieren Sie das Kontrollkästchen „Alle Fehlermeldungen für Endbenutzer unterdrücken“.


Zusätzliche Hinweise:

Zum Schließen dieser Anwendung verwenden Sie oben rechts die Windows Schaltfläche zum Schließen.


Unterstützte Betriebssysteme

Microsoft Windows 7

Microsoft Windows 7 64-Bit Edition

Microsoft Windows Server 2008 R2 64-Bit Edition

Microsoft Windows 8

Microsoft Windows 8 64-Bit Edition

Microsoft Windows Server 2012 64-Bit Edition

Microsoft Windows Server 2012 R2 64-Bit Edition

Microsoft Windows 8.1

Microsoft Windows 8.1 64-Bit Edition

Microsoft Windows Server 2016 64-Bit Edition

Microsoft Windows 10

Microsoft Windows 10 64-Bit Edition

Microsoft Windows Server 2019 64-Bit Edition


Befehlszeilenoptionen

Das Endbenutzerpaket kann geändert werden, indem Sie Befehlszeilenschalter hinzufügen. Die Befehlszeilenschalter können kombiniert werden, wenn Sie durch Leerzeichen getrennt sind. Wenn eine Befehlszeile einen Fehler wie ein ungültiges Zeichen oder eine falsche Formatierung enthält, wird eine Fehlermeldung angezeigt. Falsche Befehlszeilenschalter werden ignoriert. Die folgende Befehlszeilenbeschreibung ist auch (auf Englisch) verfügbar, wenn Sie das Endbenutzerpaket mit „/?“ ausführen.

Vorinstallierte Pakete unterstützen die folgenden Befehlszeilenoptionen:

/? Befehlszeilenoptionen anzeigen (nur Englisch)

/q Verlaufleiste ausblenden

/p Benutzer zum Anschließen des Druckers auffordern

/s Fehlermeldungen für Endbenutzer unterdrücken

Netzwerkdrucker-Pakete unterstützen die folgenden Befehlszeilenoptionen:

/? Befehlszeilenoptionen anzeigen (nur Englisch)

/q Verlaufleiste ausblenden

/s Fehlermeldungen für Endbenutzer unterdrücken

/ip <IP-Adresse> Angegebene IP-Adresse zur Erkennung des Druckers verwenden, z. B. /ip 120.25.5.56

/hw <Hardwareadresse> Angegebene Hardwareadresse zur Erkennung des Druckers verwenden, z. B. /hw 0001E6299128

/hn <Hostname> Angegebenen Hostnamen zur Erkennung des Druckers verwenden, z. B. /hn MeinHostname

Der Hostname darf nicht mehr als 255 Zeichen enthalten und nur die folgenden Zeichen umfassen: A-Z, a-z, 0-9 und den Bindestrich (-).

/pn <Anschlussname> Angegebenen Namen als Anschlussnamen verwenden, z. B. /pn HPPort

Der Anschlussname darf keine Leerzeichen enthalten und nicht mehr als 128 Zeichen umfassen.

/n ”<Druckername>” Angegebenen Namen als Druckernamen verwenden, z. B. /n "HP LaserJet 8150"

Der Druckername muss in Anführungszeichen angegeben sein, darf nicht mehr als 40 Zeichen umfassen und keines der folgenden Sonderzeichen enthalten: ! # ,

/d Diesen Drucker als Standarddrucker festlegen

/sn ”<Freigabename>” Freigabe aktivieren und angegebenen Namen als Freigabenamen für Drucker verwenden, z. B. /sn ”Mein freigegebener HP LaserJet 8150”

Der Freigabename muss in Anführungszeichen angegeben sein, darf nicht mehr als 80 Zeichen umfassen und keines der folgenden Sonderzeichen enthalten: / \ : ; “ ? * + = < > [ ]

© Copyright 2019 HP Development Company, L.P.